<?php

namespace GriffinForms\Admin\Language;

trait PageTitles
{   
    protected function formsTitle()
    {
        return __('GriffinForms Forms', 'griffinforms-form-builder');
    }
    
    protected function responsesTitle()
    {
        return __('All Responses', 'griffinforms-form-builder');
    }
    
    protected function settingsTitle()
    {
        return __('Settings', 'griffinforms-form-builder');
    }
    
    protected function antiSpamTitle()
    {
        return __('Anti-Spam Settings', 'griffinforms-form-builder');
    }
    
    protected function mailTitle()
    {
        return __('Mail', 'griffinforms-form-builder');
    }

    protected function paymentsTitle()
    {
        return __('Payments', 'griffinforms-form-builder');
    }
    
    protected function formTitle()
    {
        return __('Form Options', 'griffinforms-form-builder');
    }

    protected function logTitle()
    {
        return __('Log', 'griffinforms-form-builder');
    }

    protected function logsTitle()
    {
        return __('Logs', 'griffinforms-form-builder');
    }

    protected function filesTitle()
    {
        return __('Attachments', 'griffinforms-form-builder');
    }

    protected function fileStorageTitle()
    {
        return __('File Storage', 'griffinforms-form-builder');
    }

    protected function formthemesTitle()
    {
        return __('Form Themes', 'griffinforms-form-builder');
    }

    protected function capabilityMatrixTitle()
    {
        return __('API Access & Webhooks', 'griffinforms-form-builder');
    }

    protected function aiTitle()
    {
        return __('AI', 'griffinforms-form-builder') . ' (Griffin Assist)';
    }

    protected function licenseTitle()
    {
        return __('License', 'griffinforms-form-builder');
    }

    protected function migrationTitle()
    {
        return __('Import Forms', 'griffinforms-form-builder');
    }
}
